# Semantic MediaWiki documentation

The documentation for Semantic MediaWiki (SMW) can primarily be found on the [SMW wiki](https://www.semantic-mediawiki.org).
Some core documentation is included together with the source code, and can mostly be found in the
docs/ directory. This documentation includes basic installation instructions, release notes and
technical documentation. The latter can be found in [docs/technical](technical/README/md).

## Site admin documentation

* [Installation instructions](INSTALL.md)
* [Latest release notes](RELEASE-NOTES.md)
* [SMW 2.5.8 release notes](releasenotes/RELEASE-NOTES-2.5.8.md)
* [SMW 2.5.7 release notes](releasenotes/RELEASE-NOTES-2.5.7.md)
* [SMW 2.5.6 release notes](releasenotes/RELEASE-NOTES-2.5.6.md)
* [SMW 2.5.5 release notes](releasenotes/RELEASE-NOTES-2.5.5.md)
* [SMW 2.5.4 release notes](releasenotes/RELEASE-NOTES-2.5.4.md)
* [SMW 2.5.3 release notes](releasenotes/RELEASE-NOTES-2.5.3.md)
* [SMW 2.5.2 release notes](releasenotes/RELEASE-NOTES-2.5.2.md)
* [SMW 2.5.1 release notes](releasenotes/RELEASE-NOTES-2.5.1.md)
* [SMW 2.5.0 release notes](releasenotes/RELEASE-NOTES-2.5.0.md)
* [SMW 2.4.6 release notes](releasenotes/RELEASE-NOTES-2.4.6.md)
* [SMW 2.4.5 release notes](releasenotes/RELEASE-NOTES-2.4.5.md)
* [SMW 2.4.4 release notes](releasenotes/RELEASE-NOTES-2.4.4.md)
* [SMW 2.4.3 release notes](releasenotes/RELEASE-NOTES-2.4.3.md)
* [SMW 2.4.2 release notes](releasenotes/RELEASE-NOTES-2.4.2.md)
* [SMW 2.4.1 release notes](releasenotes/RELEASE-NOTES-2.4.1.md)
* [SMW 2.4.0 release notes](releasenotes/RELEASE-NOTES-2.4.0.md)
* [SMW 2.3.1 release notes](releasenotes/RELEASE-NOTES-2.3.1.md)
* [SMW 2.3.0 release notes](releasenotes/RELEASE-NOTES-2.3.0.md)
* [SMW 2.2.3 release notes](releasenotes/RELEASE-NOTES-2.2.3.md)
* [SMW 2.2.2 release notes](releasenotes/RELEASE-NOTES-2.2.2.md)
* [SMW 2.2.1 release notes](releasenotes/RELEASE-NOTES-2.2.1.md)
* [SMW 2.2.0 release notes](releasenotes/RELEASE-NOTES-2.2.0.md)
* [SMW 2.1.3 release notes](releasenotes/RELEASE-NOTES-2.1.3.md)
* [SMW 2.1.2 release notes](releasenotes/RELEASE-NOTES-2.1.2.md)
* [SMW 2.1.1 release notes](releasenotes/RELEASE-NOTES-2.1.1.md)
* [SMW 2.1.0 release notes](releasenotes/RELEASE-NOTES-2.1.0.md)
* [SMW 2.0.0 release notes](releasenotes/RELEASE-NOTES-2.0.md)
* [SMW 1.9.2 release notes](releasenotes/RELEASE-NOTES-1.9.2.md)
* [SMW 1.9.1.1 release notes](releasenotes/RELEASE-NOTES-1.9.1.1.md)
* [SMW 1.9.1 release notes](releasenotes/RELEASE-NOTES-1.9.1.md)
* [SMW 1.9.0 release notes](releasenotes/RELEASE-NOTES-1.9.md)
* [All release notes](releasenotes)

## Developer documentation

See the [developer documentation overview](technical/README.md).
